# Uses of Class
org.apache.lucene.search.CachingCollector

Packages that use CachingCollector
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of CachingCollector in org.apache.lucene.search

  Methods in org.apache.lucene.search that return CachingCollector
  Modifier and Type
  Method
  Description
  `static CachingCollector`
  CachingCollector.`create(boolean cacheScores, double maxRAMMB)`
  Creates a `CachingCollector` which does not wrap another collector.
  `static CachingCollector`
  CachingCollector.`create(Collector other, boolean cacheScores, double maxRAMMB)`
  Create a new `CachingCollector` that wraps the given collector and caches documents and scores up to the specified RAM threshold.
  `static CachingCollector`
  CachingCollector.`create(Collector other, boolean cacheScores, int maxDocsToCache)`
  Create a new `CachingCollector` that wraps the given collector and caches documents and scores up to the specified max docs threshold.